//NewGuideControlPanel.java
import java.awt.*;

public class NewGuideControlPanel extends Panel{
    private static final Color bgcolor = new Color(236,236,221);
    Label lab1, lab2;
    Choice ch1, ch2;
    public  Button about;
    
    public Checkbox c1, c2, cdB;
    CheckboxGroup cgrid1;
    
    public NewGuideControlPanel(){
	super();
        setLayout(null);
	setBackground(bgcolor);
	about = new Button("Instructions");
	lab1 = new Label("Polarization:", Label.RIGHT);
	lab1.setFont(new Font("SanSerif",Font.BOLD,12));
	add(lab1);
        
        cgrid1=new CheckboxGroup();
	c1 = new Checkbox("\u22a5",cgrid1,true);	
	c2 = new Checkbox("//",cgrid1,false);
	add(c1);
	add(c2);
        
        // CHANGE ==============================================================
	//c1.setBounds(110,11,30,15);
	//c2.setBounds(150,11,30,15);
        c1.setBounds(95,8,45,20);
	c2.setBounds(140,8,50,20);
        //======================================================================
        lab1.setBounds(1,10,90,15);
	
	add(about);
	
        // CHANGE ==============================================================
        //about.setBounds(200,8,90,20);
        about.setBounds(195,8,90,20);
        //======================================================================
        about.setBackground(Color.white);
        Panel p3 = new Panel();
	    p3.setBackground(Color.black);
	    add(p3);
            // CHANGE ==========================================================
	    //p3.setBounds(199,7,92,22);
            p3.setBounds(194,7,92,22);
            //==================================================================
    }
    
    public void paint(Graphics g){
	g.setColor(bgcolor.darker());
	g.fillRect(0,getSize().height-2,getSize().width,2);
	g.fillRect(getSize().width-2,0,2,getSize().height);
	g.setColor(bgcolor.brighter());
	g.fillRect(0,0,2,getSize().height-1);
	g.fillRect(0,0,getSize().width-2,2);
    }
    
}